#include "Component.hpp"
#include <algorithm>    // std::max
#include <cmath>

namespace cgeditor {
class Scrollbar : public Component {
  /// @brief Set to true if it is the horizontal scrollbar
  bool IsHorizontal;
  Element bg,bar;
  double DragY,DragX;
  bool Trigger;
  /// @brief Canvas size cache used to reset on resize
  double CanvasWidth, CanvasHeight;
public:
  Scrollbar(Status* s,bool IsHorizontal);
  void Refresh();
  /// @brief Goto a given graphical coordinate (if possible using current scroll range)
  void Focus(double XorY);
};
} // namespace cgeditor